$(function(){
  //Prefill URL bar
  chrome.storage.local.get('url', function(result){
    var curUrl = '';
    if(result.url) {
      curUrl = result.url;
    }
    else {
      curUrl = 'https://www.google.com';
    }
    $('#url').val(curUrl);
  });
  
  //Save New Url
  $(document).on('submit', '#update', function(){
    var newUrl = $('#url').val();
    chrome.storage.local.set({"url": newUrl}, function(){
      var status = '';
      if(chrome.runtime.lastError) {
        status = "Something went wrong. Try again.";
      }
      else {
        status = "Address Saved!";
      }
      $('#result').html(status).show().fadeOut(5000);
    });
    chrome.browserAction.setTitle({'title': newUrl});
    return false;
  });
});